PROMPT FOIL LAYOUT PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'foil_resolution', 'Preferred foil image size', '640x480', 'IMAGE_SIZE', 'Please enter the desired image size', 'FP');


PROMPT PRINT PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('PRINTING', 1, SEQ_PROP.nextval, 'thumb_cols', 'No of columns for thumbnails printing', '3', 'NUMBER', 'X', 'P');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('PRINTING', 1, SEQ_PROP.nextval, 'thumb_sep_hor', 'Horizontal separation between thumbnails', '2', 'NUMBER', 'X', 'P');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('PRINTING', 1, SEQ_PROP.nextval, 'thumb_sep_ver', 'Vertical separation between thumbnails', '2', 'NUMBER', 'X', 'P');

PROMPT GENERAL POWERPOINT PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'body_text_basefont_size', 'Basefont size for body text', '3', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'body_background_color', 'Color for body background', '#FFFFFF', 'COLOR', 'Help', 'FP');


PROMPT POWERPOINT FONT PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_color', 'Title Text Color', '#000000', 'COLOR', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_color', 'Level 1 Text Color', '#000000', 'COLOR', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_color', 'Level 2 Text Color', '#000000', 'COLOR', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_color', 'Level 3 Text Color', '#000000', 'COLOR', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_color', 'Level 4 Text Color', '#000000', 'COLOR', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_color', 'Level 5 Text Color', '#000000', 'COLOR', 'Help', 'FP');


INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_family', 'Title Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_family', 'Level 1 Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_family', 'Level 2 Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_family', 'Level 3 Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_family', 'Level 4 Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_family', 'Level 5 Text Font Family', 'Times New Roman', 'FONT', 'Help', 'FP');


INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_size', 'Title Text Font Size', '+3', 'NUMBER', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_size', 'Level 1 Text Font Size', '+2', 'NUMBER', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_size', 'Level 2 Text Font Size', '+1', 'NUMBER', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_size', 'Level 3 Text Font Size', '+0', 'NUMBER', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_size', 'Level 4 Text Font Size', '-1', 'NUMBER', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_size', 'Level 5 Text Font Size', '-2', 'NUMBER', 'Help', 'FP');


INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_bullet', 'Title Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_bullet', 'Level 1 Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_bullet', 'Level 2 Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_bullet', 'Level 3 Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_bullet', 'Level 4 Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_bullet', 'Level 5 Text Bullet', '0', 'BOOLEAN', 'Help', 'FP');


INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_align', 'Title Text Alignment', 'Left', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_align', 'Level 1 Text Alignment', 'Left', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_align', 'Level 2 Text Alignment', 'Left', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_align', 'Level 3 Text Alignment', 'Left', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_align', 'Level 4 Text Alignment', 'Left', 'TEXT', 'Help', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_align', 'Level 5 Text Alignment', 'Left', 'TEXT', 'Help', 'FP');


PROMPT WISDOM STYLE MODIFICATION PROPERTIES 

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style', 'Title Style Modifier', 'level0_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_italic', 'Title Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_bold', 'Title Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_underline', 'Title Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_superscript', 'Title Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_subscript', 'Title Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level0_text_style_default', 'Title Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style', 'Bullet 1 Style Modifier', 'level1_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_italic', 'Level1 Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_bold', 'Level1 Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_underline', 'Level1 Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_superscript', 'Level1 Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_subscript', 'Level1 Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level1_text_style_default', 'Level1 Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style', 'Bullet 2 Style Modifier', 'level2_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_italic', 'Level2 Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_bold', 'Level2 Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_underline', 'Level2 Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_superscript', 'Level2 Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_subscript', 'Level2 Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level2_text_style_default', 'Level2 Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style', 'Bullet 3 Style Modifier', 'level3_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_italic', 'Level3 Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_bold', 'Level3 Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_underline', 'Level3 Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_superscript', 'Level3 Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_subscript', 'Level3 Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level3_text_style_default', 'Level3 Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style', 'Bullet 4 Style Modifier', 'level4_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_italic', 'Level4 Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_bold', 'Level4 Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_underline', 'Level4 Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_superscript', 'Level4 Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_subscript', 'Level4 Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level4_text_style_default', 'Level4 Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style', 'Bullet 5 Style Modifier', 'level5_text_style', 'TEXT_STYLE', 'X', 'FP', 0);

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_italic', 'Level5 Text Style Italic', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_bold', 'Level5 Text Style Bold', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_underline', 'Level5 Text Style Underline', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_superscript', 'Level5 Text Style Superscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_subscript', 'Level5 Text Style Subscript', 'I', 'NONE', 'X', 'FP', 1);
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT, HIDDEN)
VALUES ('FONT', 1, SEQ_PROP.nextval, 'level5_text_style_default', 'Level5 Text Style Default', 'BIU12', 'NONE', 'X', 'FP', 1);


PROMPT CONFIGURATION PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'audio_player', 'Audio Player Application', 'raplayer', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'http_host_name', 'HTTP Server Host Name', 'taurus.kti.ae.poznan.pl', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'http_connection_id', 'HTTP Connection Id', 'wisdom2', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'help_browser', 'Browser for Help Files', 'netscape', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'help_codebase', 'URL for Help Files', 'taurus.kti.ae.poznan.pl/wisdom/help', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'http_daemon_name', 'Name for HTTP Daemon', 'servlet/getdata', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'tdl_servlet', 'Name for TDL Servlet', 'servlet/TDLServlet', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'exporter_template', 'Exporter Template', 'main', 'TEXT', 'X', 'FP');
INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('CONFIGURATION', 1, SEQ_PROP.nextval, 'exporter_http_server', 'Exporter HTTP Server', 'taurus.kti.ae.poznan.pl', 'TEXT', 'X', 'FP');

PROMPT IMAGE SIZE PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'hor_image_size', 'Horizontal Image Size', '640', 'IMAGE_SIZE', 'X', 'FP');

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'ver_image_size', 'Vertical Image Size', '480', 'IMAGE_SIZE', 'X', 'FP');

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'hor_image_style', 'Horizontal Image Style', 'exact', 'IMAGE_SIZE', 'X', 'FP');

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('DISPLAY', 1, SEQ_PROP.nextval, 'ver_image_style', 'Vertical Image Style', 'exact', 'IMAGE_SIZE', 'X', 'FP');


PROMPT OVERALL PROPERTIES

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('OTHER', 1, SEQ_PROP.nextval, 'signature', 'Signature', '(c) WebWisdom NT 3.01 1999', 'IMAGE_SIZE', 'X', 'FP');

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('OTHER', 1, SEQ_PROP.nextval, 'company', 'Company Name', 'NPAC, Syracuse University', 'IMAGE_SIZE', 'X', 'FP');

INSERT INTO GENERAL_PROPERTY (CAT_NAME_ID, SYSTEM, PRID, SEARCH_NAME, DISPLAY_NAME, DEF_VALUE, TYPE_NAME_ID, PROP_HELP, CONTEXT)
VALUES ('OTHER', 1, SEQ_PROP.nextval, 'public_access', 'Public Access UserName', 'no_access', 'IMAGE_SIZE', 'X', 'FP');

