
public class Constants {
    public static final String PropertyFileDelimiterBeg = "<PROPERTIES>";
    public static final String PropertyFileDelimiterEnd = "</PROPERTIES>";    
    public static final String TemplateLocationProperty = "TEMPLATE_LOCATION"; //S
    public static final String TemplatePropertyFileName = "properties.conf";
    public static final String PropertyValueSeparator = "=";
    public static final String TagConfigurationFileName = "wisdom_tdl.conf";
    public static final String TemplateConfigurationFileName = "wisdom_templ.conf"; 
    public static final String LogFileName = "TDLdebug.log";
    public static final String DefaultTemplateStartingPageFileName = "index.tdl";
    public static final String DefaultTemplateLoginPageFileName = "login.tdl";
    public static final String TemplateFileDelimiter = "<?WWTEMPLATE";    
    public static final String TDLPackageName = "tdl";
    public static final String InlineTagName = "@INLINE";
    public static final String ConnectionStringProperty = "CONNECTION_STRING"; //T
    public static final String IterationListDelimiter = ",";   
    public static final String NamesListDelimiter = ",";
    public static final String AbstractFoilNumber = "2";
    public static final String IFLevelProperty = "IFLEVEL";  //S - on start
    public static final String IFLevelConditionProperty = "IFLEVELCONDITION"; //S

    public static final String ServletPortNumberProperty = "SERVER_PORT";  //S
    public static final String ServletHostNameProperty = "HOST_NAME";  //S
    public static final String ServletNameProperty = "SERVLET_NAME";
    public static final String ServletDirProperty = "SERVLET_DIR";

    public static final String TemplateIDProperty = "TEMPLATE_ID";
    public static final String CurrentUserProperty = "USID"; //Tg
    public static final String QueryParametersSeparator = "&";
    public static final String QueryParamValuesSeparator = "=";

    public static final String DatabaseImageEduType = "IMAGE";
    public static final String DatabaseTextEduType = "TEXT";
    public static final String DatabaseAddOnEduType = "ADDON";
    public static final String DatabaseSoundEduType = "SOUND";
    public static final String DatabaseNoteEduType = "NOTE";
    public static final String DatabaseCommentEduType = "COMMENT";
    public static final String DatabaseExternalEduType = "EXTERNAL LINK";
    public static final String DatabaseSPresEduType = "SOURCE PRESENTATION";
    public static final String DatabaseSFoilEduType = "SOURCE FOIL";
    public static final String DatabaseSMasterEduType = "SOURCE MASTER";
    public static final String DatabaseDriver = "oracle.jdbc.driver.OracleDriver";
    public static final String GeneralPropUserName = "public_access";
    public static final String NoAccessGeneralProperty = "no_access";
    public static final String AccessModeReadRight = "r";

    public static final String CurrentFileProperty = "";  //S
    public static final String AutomaticMode = "AUTO";
    public static final String ManualMode = "MANUAL";
    public static final String ImageTableAccess = "image/data/iid%3d";
    public static final String EduobjectTableAccess = "eduobject/data/eid%3d"; 
    public static final String SoundRa = "sound/x-raplayer";
    public static final String ImageGif = "image/gif";
    
    public static final String GetRawSocPath = "http_daemon_name";
    public static final String GetRawHost = "http_host_name";
    public static final String GetRawConnectionID = "http_connection_id";
    public static final String HorImageStyle = "hor_image_style";
    public static final String VerImageStyle = "ver_image_style";
    public static final String HorImageSize = "hor_image_size";
    public static final String VerImageSize = "ver_image_size";
}