
import java.io.*;

public class ExceptionHandler {
   static public void handleException (Exception e, String addMsg) {
      try {
        PrintWriter bw = new PrintWriter (new FileOutputStream (Constants.LogFileName,true));
        e.printStackTrace(bw);
        bw.println("Add message: "+addMsg);
        bw.close();
      } catch (Exception ex) {
          ex.printStackTrace();
      }

   }

   static public void debugInfo (String message) {
      try {
        PrintWriter bw = new PrintWriter (new FileOutputStream (Constants.LogFileName,true));
        bw.println(message);
        bw.println("----------------------------------");
        bw.close();
      } catch (Exception ex) {
          ex.printStackTrace();
      }
   }

   static public void initLogFile() {
      try {
        PrintWriter bw = new PrintWriter (new FileOutputStream (Constants.LogFileName,false));
        bw.println("Initializing Log file");
        bw.close();
      } catch (Exception ex) {
          ex.printStackTrace();
      }
   }

}