
import java.util.*;

public class MethodInvocation {

    public String className;
    public String methodName;
    public String argumentList[];
    public int numberOfArguments;
    public boolean isPersistent;
    
    public MethodInvocation (String in) {
        this(in,false);
    }

    public MethodInvocation (String in, boolean p) {
        
		className = "";
		String pre = in.substring(0,in.indexOf("("));
		String post = in.substring(in.indexOf("(")+1, in.length());
		
        StringTokenizer st = new StringTokenizer (pre, ".");
		
		String ins;
		int noot = st.countTokens();
        for (int i = 0; i < noot - 1; i++) {
            ins = st.nextToken() + ".";
			className+=ins; 
        }
        className = className.substring(0,className.length()-1).trim();
        methodName = st.nextToken().trim();
		
        st = new StringTokenizer (post.substring(post.indexOf("(")+1,post.indexOf(")")),",");
        numberOfArguments = st.countTokens();
        argumentList = new String[numberOfArguments];
        for(int iii=0;iii<numberOfArguments;iii++)
            argumentList[iii] = st.nextToken().trim();
        isPersistent = p;    
         
    }


    public MethodInvocation (String c, String m, String a, boolean p) {

        className = c;
        methodName = m;
        StringTokenizer st = new StringTokenizer (a, ",");
        numberOfArguments = st.countTokens();
        argumentList = new String[numberOfArguments];
        for(int iii=0;iii<numberOfArguments;iii++)
            argumentList[iii] = st.nextToken().trim();
        isPersistent = p;
    }
}